<%@ page language="java" contentType="text/html; charset=utf-8" pageEncoding="utf-8" %>
<%@ include file="incl.header.jsp" %>

		<div class="container-fluid">
            <div class="row">

                <div class="col-sm-6 col-md-4 col-lg-3" >
                    <div class="divBorder" style="height: 380px;"> 
                        <h3>Digital SLR Camera </h3>
                        <div>
                            <img src="img/camera.png" width="200" height="150" />
                        </div>

                        <h3>Sandbox Buyer Account</h3>
                        <table class="table table-striped">
                            <tr>
                            	<th>Email</th>
                            	<th>Password</th>
                            </tr>
                            <tr>
                            	<td><span id="buyer_email"></span></td>
                            	<td><span id="buyer_password"></span></td>
                            </tr>
                        </table>
                    </div>
                </div>

                <div class="col-sm-6 col-md-4 col-lg-3">
                    <div class="divBorder" style="height: 380px;">
						<form action="shipping.jsp" method="post">  
                        <h3> Cart Details </h3>

							<table>
								<tr>
									<td>Item Name </td><td><input class="form-control wSmall" type="text" value="DSLR Camera" disabled="disabled" /></td>
								</tr>
                             	<tr>
                             		<td>Item ID </td><td><input class="form-control wSmall" type="text" value="A0123" disabled="disabled" /></td>
                             	</tr>
                             	<tr>
                             		<td>Description </td><td><input class="form-control wSmall" type="text" value="Autofocus" disabled="disabled" /></td>
                             	</tr>
                             	<tr>
                             		<td>Quantity </td><td><input class="form-control wSmall" type="text" value="1" disabled="disabled" /></td>
                             	</tr>
                             	<tr>
                             		<td>Price </td><td><input class="form-control wSmall" type="text" value="300.00" disabled="disabled" /></td>
								</tr>
								
								<tr>
									<td>Currency</td>
									<td id="currencyCodeIDTableElement">
										<select id="currencyCodeID" onchange="setCurrency()">
											<option value="AUD" >AUD</option>
											<option value="BRL" >BRL</option>
											<option value="CAD">CAD</option>
											<option value="CZK">CZK</option>
											<option value="DKK">DKK</option>
											<option value="EUR">EUR</option>
											<option value="HKD">HKD</option>
											<option value="HUF">HUF</option>
											<option value="ILS">ILS</option>
											<option value="JPY">JPY</option>
											<option value="MYR">MYR</option>
											<option value="MXN">MXN</option>
											<option value="NOK">NOK</option>
											<option value="NZD">NZD</option>
											<option value="PHP">PHP</option>
											<option value="PLN">PLN</option>
											<option value="GBP">GBP</option>
											<option value="RUB">RUB</option>
											<option value="SGD">SGD</option>
											<option value="SEK">SEK</option>
											<option value="CHF">CHF</option>
											<option value="THB">THB</option>
											<option value="TWD">TWD</option>
											<option value="USD" selected>USD</option>
								 </td>
                     </tr>
							</table>
                             
							<br/>
							
							<input type="hidden" name="item-name" value="DSLR Camera" />
							<input type="hidden" name="item-id" value="A0123" />
							<input type="hidden" name="item-description" value="Autofocus" />
							<input type="hidden" name="item-quantity" value="1" />
							<input type="hidden" name="item-price" value="300.00" />
							<input type="hidden" id="currencyBT" name="currency" value= "USD" />
							<input type="submit"  value="Proceed to Shipping"  class="btn btn-primary btn-large" name="checkout" />
						</form> 
                    </div>
                </div>

                <div class="col-sm-12 col-md-4 col-lg-6">
                    <div class="divBorder">
                     	<%@ include file="incl.readme.jsp" %>
					</div>
                </div>

            </div> <!-- row -->

        </div> <!-- container -->


		<script type="text/javascript">
			
			// Dynamically choose a seller and buyer account to render on index page-->
			function getRandomNumberInRange(min, max) {
			    return Math.floor(Math.random() * (max - min) + min);
			}
			
			var buyerCredentials = [
	           	{"email":"jack_potter@buyer.com", "password":"123456789"},
	            {"email":"jen_jones@buyer.com", "password":"qwer1234"},
	            {"email":"jack_chase@buyer.com", "password":"qwer1234"}
			];
			
			var randomBuyer = getRandomNumberInRange(0,buyerCredentials.length);
			
			document.getElementById("buyer_email").innerHTML = buyerCredentials[randomBuyer].email;
			document.getElementById("buyer_password").innerHTML = buyerCredentials[randomBuyer].password;						
			
		</script>
		<script type="text/javascript">
			//Set the currency value when changed from default on the pulldown

			function setCurrency()
			{
				var selectedCurrency= document.getElementById("currencyCodeID");
				var currency = selectedCurrency.options[selectedCurrency.selectedIndex].value;
				document.getElementById("currencyBT").value = currency;

			}


		</script>

<%@ include file="incl.footer.jsp" %>
