<%@ page language="java" contentType="text/html; charset=utf-8" pageEncoding="utf-8" %>
<%@ include file="incl.header.jsp" %>
	
	<!-- Load additional components -->
	<script src="https://www.paypalobjects.com/api/checkout.js" data-version-4></script>

		<div class="container-fluid">
            <div class="row">
            
                <div class="col-xs-12 col-sm-8 col-lg-5 colCentered" >
                    <div class="divBorder" style="height: 600px;"> 

                        <h3> Shipping Details </h3>
	
						<form action="checkoutpage.jsp" method="post"> 
		
							<table>	 					
			                   	<tr>
									<td>First Name</td>
									<td><input class="form-control wMedium" type="text" name="first-name" value="Jane" /></td>
								</tr>
			                   	<tr>
									<td>Last Name</td>
									<td><input class="form-control wMedium" type="text" name="last-name" value="Doe" /></td>
								</tr>								
								<tr>
									<td>Address 1</td>
									<td><input class="form-control wMedium" type="text" name="line1" value="55 East 52nd Street" /></td>
								</tr>
								<tr>
									<td>Address 2</td>
									<td><input class="form-control wMedium" type="text" name="line2" value="21st Floor" /></td>
								</tr>
								<tr>
									<td>City</td>
									<td><input class="form-control wMedium" type="text" name="city" value="New York" /></td>
								</tr>
								<tr>
									<td>State</td>
									<td><input class="form-control wMedium" type="text" name="state" value="NY" /></td>
								</tr>
								<tr>
									<td>Postal Code</td>
									<td><input class="form-control wMedium" type="text" name="postal-code" value="10022" /></td>
								</tr>
								<tr>
									<td>Country</td>
									<td><select class="form-control wMedium" name="country-code">
			                                <option value="AU">Australia</option>
			                                <option value="BR">Brazil</option>
			                                <option value="CA">Canada</option>
			                                <option value="CZ">Czech Republic</option>
			                                <option value="DK">Denmark</option>
			                                <option value="HK">Hong Kong</option>
			                                <option value="HU">Hungary</option>
			                                <option value="IL">Israel</option>
			                                <option value="JP">Japan</option>
			                                <option value="MY">Malaysia</option>
			                                <option value="MX">Mexico</option>
			                                <option value="NO">Norway</option>
			                                <option value="NZ">New Zealand</option>
			                                <option value="PH">Philippines</option>
			                                <option value="PL">Poland</option>
			                                <option value="GB">United Kingdom</option>
			                                <option value="RU">Russia</option>
			                                <option value="SG">Singapore</option>
			                                <option value="SE">Sweden</option>
			                                <option value="CH">Switzerland</option>
			                                <option value="TH">Thailand</option>
			                                <option value="TW">Taiwan</option>
			                                <option selected value="US">United States</option>
									</select></td>
								</tr>
								<tr>
									<td>Shipping&nbsp;Type</td>
									<td>
										<select class="required-entry form-control" name="shipping-method" id="shipping-method" onChange="updateTotalAmount(this) ">
											<optgroup label="United Parcel Service" style="font-style: normal;">
												<option value="15.00">Worldwide Expedited - 15.00</option> 
												<option value="10.00">Worldwide Express Saver - 10.00</option> 
											</optgroup>
											<optgroup label="Ground" style="font-style: normal;">
												<option selected="selected" value="5.00">Ground - 5.00</option> 
											</optgroup>
										</select>
									</td>
								</tr>							
							</table>
							
							<h3>
								<span>Total: </span><span id="total-amount-display"></span> <%= request.getParameter("currency")%>
							</h3>
							
							<br />
							
							<input type="hidden" id="item-price-original" name="item-price-original" value="<%= request.getParameter("item-price")%>" />							
							<input type="hidden" id="total-amount" name="total-amount" value="<%= request.getParameter("item-price-")%>" /> 
							<input type="submit" value="Proceed to Checkout" class="btn btn-primary btn-large" name="checkout" />
                    			<input type="hidden" name="currency" value="<%= request.getParameter("currency")%>" />

						</form>

					</div>
				</div>
			</div>
		</div>

		<script>
			updateTotalAmount(document.getElementById("shipping-method"));
		
			// adjust total amount based on shipping
			function updateTotalAmount(that) {
				
				var totalAmount = (Number(document.getElementById("item-price-original").value) + Number(that.value)).toFixed(2);
				
				document.getElementById("total-amount").value = totalAmount;
				document.getElementById("total-amount-display").innerHTML = totalAmount;
			}
		</script>

<%@ include file="incl.footer.jsp" %>